Subject: moosh (was: MOONIX)

From: [email-masked] (John Clayton Webster)
Date: Tue, 12 May 1992 17:51:10 -0700

>> Has anyone hacked (or thought about hacking) a doorway through which UNIX
>> applications might run?
>>   -James-

> I'm sure Pavel has thought of this, around about three o'clock in the
> morning, just before he wakes up screaming in a cold sweat.  What's the
> application, though?  I can imagine it's a very general purpose change that
> will tend to accumulate applications with time, but it seems odd to me that
> nobody has mentioned what it would be used for.  Knowing what the legitimate
> applications were would surely ease the security issues debate, once the
> Clay-Pavel flamewar has died down.

What could it be used for?  What applications to run?

This is an old idea I (and probably many others) came up with around, as you
said, three am.

You want lots of freedom.
They want decent security.

What everyone wants when everyone is done bargaining is some sort of
shell... leaving MOO just a shell of what it once was.  So why not just take
that leap?

Comeon -- just partition a disk, make a moo shell (do a hell of
re/de-coding).  Yeah, from scratch.  Give the "players" accounts with moosh
as their shell, limited group permissions and you're off. 

Distributed moosh hosts?  Like those tcp commands?  I knew a guy hacking
mud-flavor into ftp.  Get the idea?  Use any of the UNIX "macintosh-feel"
desktop apps as a guide for the concept of a room.  Drive it with a
user-expandable Natural Language to handle the all those inanimate objects.

Like everything disk-based?  Good, you're in luck.  Got any virtual pages?
Sure you do!

Having a semester of os dsgn/implem let me feel how un-fun it would be to
handle the communication...  so whala -- zilch.  'though it wouldn't be
*that* much worse (pain-percentage-wise) than doing threaded procs.

In the end, you'd be left with an OOSH for normal UNIX.  Would it be any
easier ('tho' obviously less <echem> "portable") to start from an OOOS?
Anyone with experience?

-- Clay Webster ([email-masked])
   SirRiel